# GimpUi.prop_entry_new

    function prop_entry_new(config: GObject.Object, property_name: String, max_len: Number(gint)): Gtk.Widget {
        // Gjs wrapper for gimp_prop_entry_new()
    }

Creates a Gtk.Entry to set and display the value of the specified string property.

Since 2.4

config

  Object to which property is attached.

property_name

  Name of string property.

max_len

  Maximum allowed length of string.

Returns

  A new Gtk.Entry widget.